Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom
Class ContainerDefImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.jbo.mom.ContainerDefImpl`

Direct Known Subclasses:
  JUApplicationDefImpl

public abstract class ContainerDefImpl
extends DefinitionObject

Field Summary
`protected boolean` | `mChildPackage`
`protected com.sun.java.util.collections.Map` | `mContainees`
`protected DefinitionManager` | `mDefMgr`
`protected boolean` | `mHasJava`
`protected boolean` | `mHasSubstitutes`
`protected boolean` | `mIsProject`
`protected java.lang.String` | `mJavaPackageName`
`protected boolean` | `mLazyLoading`
`protected static com.sun.java.util.collections.List` | `mUnresolvedObjects`
`protected java.lang.String` | `mXMLFileName`
`protected boolean` | `mXMLLoaded`
`protected java.lang.String` | `mXMLSectionName`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`protected` | `ContainerDefImpl(DefinitionManager mom)`

Method Summary
`void` | `addChild(DefinitionObject obj)`
`protected void` | `addChild(DefinitionObject obj, java.lang.String objType)`
`protected abstract ContainerDefImpl` | `createContainerType(java.lang.String typeName)`
`protected DefinitionObject` | `findChildObject(java.lang.String objType, java.lang.String fullName)`
`protected java.lang.String` | `generateUniqueChildName(java.lang.String seed, java.lang.String objType)`
`protected void` | `getChildObjectNames(boolean recursive, java.lang.String objType, com.sun.java.util.collections.ArrayList v)`
`protected void` | `getChildObjects(boolean recursive, java.lang.String objType, com.sun.java.util.collections.ArrayList v)`
`protected abstract com.sun.java.util.collections.ArrayList` | `getContainerDefNames(boolean recursive)` Gets the Names of all Sub-PackageDefs in this Package and all sub-packages recursively (optionally)
`protected boolean` | `hasJava()`
`boolean` | `hasSubstitutes()`
`boolean` | `isDynamicDefinitionObject(DefinitionManager mgr)`
`boolean` | `isLazyLoading()`
`boolean` | `isProject()`
`boolean` | `isXMLLoaded()`
`protected void` | `loadContainee(DefElement xmlElement)`
`protected void` | `loadContainees(DefElement xmlElement)`
`protected abstract void` | `loadContainees(DefElement typeName, boolean sepXMLFiles)`
`protected void` | `loadFromXML()`
`protected void` | `loadFromXMLFile(DefElement xmlElement)`
`protected void` | `removeChild(DefinitionObject obj, java.lang.String objType)`
`protected void` | `resolveAllReferences()`
`protected void` | `setHasSubstitutes(boolean hasSubstitutes)`
`protected void` | `setIsProject(boolean isProject)`
`void` | `setSynchronized()`
`protected void` | `setXMLName(java.lang.String fileName, java.lang.String sectionName)`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mXMLLoaded

    protected boolean mXMLLoaded

### mHasJava

    protected boolean mHasJava

### mUnresolvedObjects

    protected static com.sun.java.util.collections.List mUnresolvedObjects

### mContainees

    protected com.sun.java.util.collections.Map mContainees

### mXMLFileName

    protected java.lang.String mXMLFileName

### mXMLSectionName

    protected java.lang.String mXMLSectionName

### mJavaPackageName

    protected java.lang.String mJavaPackageName

### mChildPackage

    protected boolean mChildPackage

### mIsProject

    protected boolean mIsProject

### mHasSubstitutes

    protected boolean mHasSubstitutes

### mLazyLoading

    protected boolean mLazyLoading

### mDefMgr

    protected DefinitionManager mDefMgr

Constructor Detail

### ContainerDefImpl

    protected ContainerDefImpl(DefinitionManager mom)

Method Detail

### getContainerDefNames

    protected abstract com.sun.java.util.collections.ArrayList getContainerDefNames(boolean recursive)

  Gets the Names of all Sub-PackageDefs in this Package and all sub-packages recursively (optionally)
  Parameters:
    `recursive` - Whether to get the names recursively
  Returns:
    Returns the Names of PackageDefs

### isProject

    public boolean isProject()

### setIsProject

    protected void setIsProject(boolean isProject)

### hasSubstitutes

    public boolean hasSubstitutes()

### setHasSubstitutes

    protected void setHasSubstitutes(boolean hasSubstitutes)

### isLazyLoading

    public boolean isLazyLoading()

### isXMLLoaded

    public boolean isXMLLoaded()

### setXMLName

    protected void setXMLName(java.lang.String fileName,
                              java.lang.String sectionName)

### addChild

    protected void addChild(DefinitionObject obj,
                            java.lang.String objType)

### addChild

    public void addChild(DefinitionObject obj)

### removeChild

    protected void removeChild(DefinitionObject obj,
                               java.lang.String objType)

### loadFromXML

    protected void loadFromXML()

### loadFromXMLFile

    protected void loadFromXMLFile(DefElement xmlElement)

### loadContainees

    protected abstract void loadContainees(DefElement typeName,
                                           boolean sepXMLFiles)

### loadContainee

    protected void loadContainee(DefElement xmlElement)

### loadContainees

    protected void loadContainees(DefElement xmlElement)

### createContainerType

    protected abstract ContainerDefImpl createContainerType(java.lang.String typeName)

### hasJava

    protected boolean hasJava()

### resolveAllReferences

    protected void resolveAllReferences()

### getChildObjectNames

    protected void getChildObjectNames(boolean recursive,
                                       java.lang.String objType,
                                       com.sun.java.util.collections.ArrayList v)

### getChildObjects

    protected void getChildObjects(boolean recursive,
                                   java.lang.String objType,
                                   com.sun.java.util.collections.ArrayList v)

### generateUniqueChildName

    protected java.lang.String generateUniqueChildName(java.lang.String seed,
                                                       java.lang.String objType)

### findChildObject

    protected DefinitionObject findChildObject(java.lang.String objType,
                                               java.lang.String fullName)

### isDynamicDefinitionObject

    public boolean isDynamicDefinitionObject(DefinitionManager mgr)

  Overrides:
    `isDynamicDefinitionObject` in class `DefinitionObject`

### setSynchronized

    public void setSynchronized()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.